aboutsummaryrefslogtreecommitdiffstats
path: root/testing/devicemaster-linux/nslink.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-10-23 08:05:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-23 08:07:15 +0000
commit8bedd034a2560e3090de51dc2b25031cd5d5e52d (patch)
treec0d02d1e12a82eae0a29f4dec3aef7b9e83071b7 /testing/devicemaster-linux/nslink.initd
parentb9b02aa6b337214e5aadcfb6dbf1d51804fbd950 (diff)
downloadaports-8bedd034a2560e3090de51dc2b25031cd5d5e52d.tar.gz
aports-8bedd034a2560e3090de51dc2b25031cd5d5e52d.tar.bz2
aports-8bedd034a2560e3090de51dc2b25031cd5d5e52d.tar.xz
testing/devicemaster-linux: new aport
Userspace tools for NS-Link Device Drivers http://www.comtrol.com/resources/product-resources-white-papers/ns-link-device-drivers ref #761
Diffstat (limited to 'testing/devicemaster-linux/nslink.initd')
-rw-r--r--testing/devicemaster-linux/nslink.initd16
1 files changed, 16 insertions, 0 deletions
diff --git a/testing/devicemaster-linux/nslink.initd b/testing/devicemaster-linux/nslink.initd
new file mode 100644
index 0000000000..5e4b869050
--- /dev/null
+++ b/testing/devicemaster-linux/nslink.initd
@@ -0,0 +1,16 @@
+#!/sbin/runscript
+
+program=/sbin/nslink
+pidfile=/var/run/nslink.pid
+
+start_pre() {
+ if ! [ -f /etc/nslink.conf ]; then
+ eerror "Configuration file /etc/nslink.conf not found"
+ return 1
+ fi
+
+ if ! grep -q -w nslink /proc/modules; then
+ modprobe nslink
+ fi
+}
+